import { Component } from "preact";



class UserList extends Component {


    deleteUser(user){
        alert(`delete: ${user.uid}`);
    }
    editUser(user){
        alert(`edit: ${user.uid}`);
    }
    displayUser(user,key){
        return (
            <div key={key} class="user-list-item">
                <div class="user-attributes">
                    <span><b>UID:</b> {user.uid}</span> <span>(<b>Aktiv</b>)</span><br />
                    <span><b>Vorname:</b> {user.first_name}</span><br />
                    <span><b>Nachname:</b> {user.last_name}</span><br />
                    <span><b>RFID:</b> {user.rfid}</span>
                    <span><b>PIN:</b> {user.pin}</span>
                </div>
                <div class="btn-group">
                    <button class="btn-trash" onClick={()=>this.deleteUser(user)}>Löschen</button>
                    <button class="btn-edit" onClick={()=>this.editUser(user)}>Bearbeiten</button>
                </div>
            </div>);
    }
    
    state = {};
    render() {
        return (
            <>
            {this.props.userlist&&this.props.userlist.map((user,i)=>this.displayUser(user,i))}
            </>
        );
    }
}
export default UserList