import { Component, createRef, h } from 'preact';
//import { Link } from 'preact-router/match';

class Header extends Component {
	state = { shown: true }
	hamburger = createRef();
	togglemenu() {
		if (this.props.menu.current) {
			this.setState(prev => ({ shown: !prev.shown }));
			this.props.menu.current.toggle(this.state);
			if (this.state.shown) {
				this.hamburger.current.classList.add('hamburger-active');
			}
			else {
				this.hamburger.current.classList.remove('hamburger-active');
			}
		}
	}

render(props){
	return (
		<header className='header'>
			<div className="container">
				<h1>Login</h1>
				<div id="hamburger-button" ref={this.hamburger} className='hamburger' onClick={() => this.togglemenu(props)}>
					<hr />
					<hr />
					<hr />
				</div>
			</div>
		</header>
	);
}
}


export default Header;
