import { Component, h } from 'preact';

class Menu extends Component {

    menu_items = [
        { text: "Übersicht", path: "/" },
        { text: "Benutzer", path: "/user" },
        { text: "System", path: "/system" },
        { text: "Backup", path: "/backup" },
        { text: "Abmelden", path: "/" }
    ]
    state = { shown: false }
    toggle(val) {
        this.setState(val);
    }
    getAlert() {
        alert("getAlert from Child");
    }

    render(props, state) {

        return (<div id="menu-screen" className='page' style={`display: ${state.shown ? 'flex' : 'none'}`}>
            <div class="container">
                <nav className='menu'>
                    <ul>
                        {this.menu_items.map((element,i) => (<li key={i}><a  href={element.link}>{element.text}</a></li>))}
                    </ul>
                </nav>

            </div>

        </div>)

    }
}

export default Menu;